## org.eclipse.emf.converter.ui.contribution.base
Class ModelConverterURIPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
                  org.eclipse.emf.converter.ui.contribution.base.ModelConverterURIPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage, Listener

Direct Known Subclasses:
  ModelExporterDirectoryURIPage, ModelImporterDetailPage

    public class ModelConverterURIPage

extends ModelConverterPage

Since:
  2.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`ModelConverterPage.PageDiagnosticHandler`

Field Summary
`protected Button` `browseFileSystemButton`
`protected Button` `browseWorkspaceButton`
`protected Text` `uriText`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`CAUSE_BACK, CAUSE_CANCEL, CAUSE_FINISH, CAUSE_NEXT, CAUSE_UNKNOWN, forwardDirection, handlingEvent, modelConverter, neverVisible, pageDiagnosticHandler`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ModelConverterURIPage(ModelConverter modelConverter, java.lang.String pageName)`

Method Summary
`protected void` `addControl(Composite parent)`
`protected void` `addURIControl(Composite parent)`
`protected boolean` `browseFileSystem()`
`protected boolean` `browseWorkspace()`
`void` `createControl(Composite parent)`
`protected void` `createURIControl(Composite parent)`
`void` `dispose()`
`protected void` `doHandleEvent(Event event)`
`protected java.lang.String` `getBrowseFileSystemButtonLabel()`
`protected java.lang.String` `getBrowseWorkspaceButtonLabel()`
`protected java.lang.String` `getURITextInitialValue()`
`protected java.lang.String` `getURITextLabel()`
`protected void` `setURIText(java.lang.String uri)`
`protected boolean` `supportMultipleURIs()`
`protected void` `uriTextModified(java.lang.String text)`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`getModelConverter, getNextPage, getPreviousPage, handleDiagnostic, handleDiagnostic, handleEvent, isHandlingEvent, isPageComplete, pageActivated, pageDeactivated, setHandlingEvent`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Field Detail

### uriText

    protected Text uriText

### browseFileSystemButton

    protected Button browseFileSystemButton

### browseWorkspaceButton

    protected Button browseWorkspaceButton

Constructor Detail

### ModelConverterURIPage

    public ModelConverterURIPage(ModelConverter modelConverter,
                                 java.lang.String pageName)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IDialogPage`
  Overrides:
    `dispose` in class `ModelConverterPage`

### createControl

    public void createControl(Composite parent)

### createURIControl

    protected void createURIControl(Composite parent)

### getURITextLabel

    protected java.lang.String getURITextLabel()

### getBrowseFileSystemButtonLabel

    protected java.lang.String getBrowseFileSystemButtonLabel()

### getBrowseWorkspaceButtonLabel

    protected java.lang.String getBrowseWorkspaceButtonLabel()

### getURITextInitialValue

    protected java.lang.String getURITextInitialValue()

### addURIControl

    protected void addURIControl(Composite parent)

### addControl

    protected void addControl(Composite parent)

### doHandleEvent

    protected void doHandleEvent(Event event)

  Overrides:
    `doHandleEvent` in class `ModelConverterPage`

### uriTextModified

    protected void uriTextModified(java.lang.String text)

### supportMultipleURIs

    protected boolean supportMultipleURIs()

### setURIText

    protected void setURIText(java.lang.String uri)

### browseFileSystem

    protected boolean browseFileSystem()

### browseWorkspace

    protected boolean browseWorkspace()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.